# Updates a user's permissions and/or business role in a group.

Updates a user's permissions and/or business role in the group.

Endpoint: PATCH /api/v1/organizations/{organizationId}/user-groups/{userGroupId}/users/{userId}
Version: v1
Security: Bearer, PersonalAccessToken

## Security:

  - `Bearer` (unknown)
    http bearer JWT

  - `PersonalAccessToken` (unknown)
    apiKey in header Personal-Access-Token

## Path parameters:

  - `organizationId` (string, required)
    Unique identifier of the organization

  - `userGroupId` (string, required)
    Unique identifier of the user group

  - `userId` (string, required)
    Unique identifier of the user

## Request body:

  - `application/json` (unknown)
    Request containing optional permissions and/or business role to update.

## Request fields (application/json):

  - `permissions` (any)
    Optional permissions to update.
*optional: omission ignores property*

  - `permissions.users` (any)
    Users management permissions to update.
*optional: omission ignores property*

  - `permissions.users.read` (boolean)
    Whether the user has permission to read users.
*optional: omission ignores property*

  - `permissions.users.createUpdateDelete` (boolean)
    Whether the user has permission to create, update, and delete users.
*optional: omission ignores property*

  - `permissions.envelopes` (any)
    Envelopes management permissions to update.
*optional: omission ignores property*

  - `permissions.envelopes.share` (boolean)
    Whether the user has permission to share envelopes.
*optional: omission ignores property*

  - `permissions.envelopes.manage` (boolean)
    Whether the user has permission to manage envelopes.
*optional: omission ignores property*

  - `permissions.templates` (any)
    Templates management permissions to update.
*optional: omission ignores property*

  - `permissions.templates.share` (boolean)
    Whether the user has permission to share templates.
*optional: omission ignores property*

  - `permissions.templates.manage` (boolean)
    Whether the user has permission to manage templates.
*optional: omission ignores property*

  - `permissions.contacts` (any)
    Contacts management permissions to update.
*optional: omission ignores property*

  - `permissions.contacts.read` (boolean)
    Whether the user has permission to read contacts.
*optional: omission ignores property*

  - `permissions.contacts.createUpdateDelete` (boolean)
    Whether the user has permission to create, update, and delete contacts.
*optional: omission ignores property*

  - `permissions.contacts.customize` (boolean)
    Whether the user has permission to customize contacts.
*optional: omission ignores property*

  - `businessRoleId` (string)
    Optional business role ID to update.
*optional: `null` sets to null, omission ignores property*

## Response 204:

  - `204` (unknown)
    No Content

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 422:

  - `422` (unknown)
    Unprocessable Content

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

